<?php

namespace Planaday\Html\NodeTags\Course\Details\Page;

use Planaday\Config\OptionGroupEnum;

enum DetailPageSettingsEnum: string implements OptionGroupEnum {

	case ShowSoobLabel = 'showSoobLabel';
	case ShowCode95Label = 'showCode95Label';
	case ShowLabels = 'showLabels';
	case ShowDayPartCount = 'showDayPartCount';
	case ShowLevelCourse = 'showLevelCourse';
	case ShowAvailability = 'showAvailability';
	case ShowStartGuaranteeLabel = 'showStartGuaranteeLabel';
	case ShowMoneyBackLabel = 'showMoneyBackLabel';
	case ShowFinancialInfo = 'showFinancialInfo';
	case ShowPrice = 'showPrice';
	case ShowPriceWithAndWithoutTax = 'showPriceWithAndWithoutTax';
	case ShowIcons = 'showIcons';
	case ShowELearningIcon = 'showELearningIcon';
	case ShowDescription = 'showDescription';

	public static function getClassName(): string {
		return DetailPageSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return null;
	}
}
